package com.webchat.common.config.configuration;

import org.redisson.Redisson;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RedissonConfig {


    /**
     * 对 Redisson 的使用都是通过 RedissonClient 对象
     * @return
     */
    @Bean(name = "redissonClient", destroyMethod = "shutdown") // 服务停止后调用 shutdown 方法
    public RedissonClient redissonClient() {
        // 1、创建配置
        Config config = new Config();

        // 2、集群模式
        // config.useClusterServers().addNodeAddress("192.168.36.128:7004", "192.168.36.128:7001");
        // 根据 Config 创建出 RedissonClient 示例
        String host = "192.168.36.128";
        String port = "26739";
        config.useSingleServer()
                .setAddress(String.format("redis://%s:%s", host, port))
                .setPassword("ZiFiE3JkwCN5S5FF")
                .setDatabase(0);
        return Redisson.create(config);
    }
}